Increases the count of the semaphore

- « SyncSemaphore::lock

- SyncEvent »

- PHP Manual
- SyncSemaphore
- Increases the count of the semaphore

# SyncSemaphore::unlock

(PECL sync >= 1.0.0)

SyncSemaphore::unlock — Increases the count of the semaphore

### Description

public SyncSemaphore::unlock(int `&$prevcount` = ?): bool

Increases the count of a SyncSemaphore object.

### Parameters

`prevcount`

  Returns the previous count of the semaphore.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 SyncSemaphore::unlock() example

    <?php
    $semaphore = new SyncSemaphore("LimitedResource_2clients", 2);

    if (!$semaphore->lock(3000))
    {
        echo "Unable to lock semaphore.";

        exit();
    }

    /* ... */

    $semaphore->unlock();
    ?>

### See Also

- SyncSemaphore::lock() - Decreases the count of the semaphore or waits